%global dlrn_nvr manila-tempest-plugin-0.4.0-0.20200227221342.171241e
%global dlrn 1
%define upstream_version 0.4.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global service manila
%global plugin manila-tempest-plugin
%global module manila_tempest_tests
%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the manila project. \
Additionally it provides a plugin to automatically load these tests \
into Tempest.

Name:       python-%{service}-tests-tempest
Epoch:      1
Version: 0.4.0
Release: 0.20200227221342.171241e%{?dist}
Summary:    Tempest Integration of manila Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: manila-tempest-plugin-0.4.0-0.20200227221342.171241e.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=171241eb94787293d8711a2284ccd7684b2f45bf
Patch0001: 0001-Update-the-constraints-url.patch
Patch0002: 0002-Update-subnet-test-to-not-use-pre-created-share-netw.patch
Patch0003: 0003-Skip-update-share-type-tests-for-microversion-lower-.patch
Patch0004: 0004-Skip-subnets-test-when-version-2.51-is-not-supported.patch

BuildArch:  noarch
BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python%{pyver}-%{service}-tests-tempest}
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools

Obsoletes:   python-manila-tests < 6.0.0

Requires:   python%{pyver}-pbr >= 3.1.1
Requires:   python%{pyver}-ddt
Requires:   python%{pyver}-tempest >= 1:18.0.0
Requires:   python%{pyver}-oslo-log >= 3.36.0

%description -n python%{pyver}-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the manila tempest plugin.
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{pyver_build}

# Generate Docs
%if 0%{?with_doc}
%{pyver_bin} setup.py build_sphinx -b html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%files -n python%{pyver}-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:0.4.0-1
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:0.4.0-1
- Skip subnets test when version 2.51 is not supported
- Skip update share type tests for microversion lower than 2.50
- Update subnet test to not use pre-created share network
- Update the constraints url
- Merge "Skip subnets test when version 2.51 is not supported"
- Merge "Update subnet test to not use pre-created share network"
- Skip subnets test when version 2.51 is not supported
- Skip update share type tests for microversion lower than 2.50
- Update subnet test to not use pre-created share network
- Update the constraints url

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 1:0.4.0-1
- Update to 0.4.0

